%global momorel 1
%global kdever 4.2.4
%global qtver 4.5.1
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global content_no 94106
%global src_name yawp
%global src_ver 4.2

Name:           kde-plasma-yawp
Version:        0.2.3
Release:        %{momorel}m%{?dist}
Summary:        Yet Another Weather Plasmoid
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php?content=94106
Source0:        http://downloads.sourceforge.net/%{src_name}/%{src_name}-%{version}.tar.bz2
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext
BuildRequires:  kdelibs-devel

%description
This colorful plasmoid shows weather maps, reports and forecasts.

%prep
%setup -q -n %{src_name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_yawp

%clean
rm -rf %{buildroot}

%files -f plasma_applet_yawp.lang
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_kde4_libdir}/kde4/plasma_yawp.so
%{_kde4_datadir}/kde4/services/plasma_yawp.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/*.svg

%changelog
* Tue Jun  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.3-1m)
- import from Fedora devel

* Wed May 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.2.3-1
- Initial build
